Subject: Re: [RFC PATCH 12/19] powerpc: gamecube: platform support

From: Benjamin Herrenschmidt <[email-masked]>
Date: Sat, 28 Nov 2009 08:35:18 +1100

On Fri, 2009-11-27 at 01:09 +0100, Segher Boessenkool wrote:
> >>> We need it as it currently doesn't match with the default bus ids.
> >>
> >>> Should I introduce a .type property matching any of those above  
> >>> in the
> >>> soc node, and get rid of the explicit bus probe?
> >>
> >> You don't need any fake bus as far as I can see, just probe the  
> >> devices
> >> you want.
> >
> > But it's way easier to let the bus probe do it for us. I don't see  
> > the win here.
> 
> As long as this doesn't leak into the device tree in any way, I don't
> care.  How's that? :-)

I still like having the node that encloses all the devices. Not sure
why, but I like it :-)

Cheers,
Ben.